<?php

use Internetgalerie\IgCookies\Resource\Rendering\IgYouTubeRenderer;
use Internetgalerie\IgCookies\Resource\Rendering\IgVimeoRenderer;
use TYPO3\CMS\Core\Resource\Rendering\RendererRegistry;
use TYPO3\CMS\Core\Utility\GeneralUtility;

defined('TYPO3_MODE') || defined('TYPO3')or die();

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'IgCookies',
    'Hint',
    [
        \Internetgalerie\IgCookies\Controller\ConsentController::class => 'banner',
    ],
    // non-cacheable actions
    [
    ]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'IgCookies',
    'Config',
    [
        \Internetgalerie\IgCookies\Controller\ConsentController::class => 'config',
    ],
    // non-cacheable actions
    [
    ]
);


$rendererRegistry = GeneralUtility::makeInstance(RendererRegistry::class);
$rendererRegistry->registerRendererClass(IgYouTubeRenderer::class);
$rendererRegistry->registerRendererClass(IgVimeoRenderer::class);
unset($rendererRegistry);
